Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_string_free()

Warning

Deprecated since version 1.29.0.

## Synopsis

    char *
    bson_string_free (bson_string_t *string, bool free_segment);

## Parameters

- `string`: A bson_string_t.

- `free_segment`: A bool indicating whether `string->str` should be freed.

## Description

Frees the `bson_string_t` structure and optionally `string->str`.

## Returns

`string->str` if `free_segment` is false, otherwise `NULL`.